Subject: bug#5312: Why is ‘show-trailing-whitespace’ considered unsafe?

From: [email-masked] (Ludovic Courtès)
Date: Wed, 06 Jan 2010 09:31:42 +0100

Hi,

[There was a bug in the Cc: list.]

Stefan Monnier <[email-masked]> writes:

>> I find it inconvenient since adding it to a per-file or per-directory
>> local variable list will (by default) ask users whether they want to
>> apply the dreaded setting.
>
> Arguably this var is more a personal user preference than a property of
> a file, so maybe the lack of a `safe-local-variable' property is
> actually a feature ;-0

Yeah, I see what you mean.  OTOH the same could be said of, say,
‘indent-tabs-mode’, which /is/ safe.  I don’t find
‘show-trailing-whitespace’ any different.

Thanks,
Ludo’.